# List

Launch stage: Beta

`GET /api/2.0/identity/accounts/{account_id}/principals/{principal_id}/transitive-parent-groups`

Lists all transitive parent groups of a principal.

API scopes: identity

## Path parameters

- `account_id` (string, optional)
  Required. The account ID for which the transitive parent groups are being listed.
- `principal_id` (int64, optional)
  Required. Internal ID of the principal in <Databricks> whose transitive parent groups are being listed.

## Query parameters

- `page_size` (int32, optional)
  The maximum number of parent groups to return. The service may return fewer than this value.
   If not provided, defaults to 1000 (also the maximum allowed).
- `page_token` (string, optional)
  A page token, received from a previous ListTransitiveParentGroups call. Provide this to retrieve the subsequent page.

## Returns

Returns a list of TransitiveParentGroup objects.

## Response

```json
{
  "transitive_parent_groups": [
    {
      "account_id": "string",
      "group_id": "string",
      "external_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

